---
apiVersion: operators.coreos.com/v1alpha1
kind: Subscription
metadata:
  creationTimestamp: "2023-02-17T15:12:49Z"
  generation: 1
  labels:
    operators.coreos.com/openshift-custom-metrics-autoscaler-operator.openshift-keda: ""
  managedFields:
  - apiVersion: operators.coreos.com/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        .: {}
        f:channel: {}
        f:installPlanApproval: {}
        f:name: {}
        f:source: {}
        f:sourceNamespace: {}
        f:startingCSV: {}
    manager: Mozilla
    operation: Update
    time: "2023-02-17T15:12:49Z"
  - apiVersion: operators.coreos.com/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:operators.coreos.com/openshift-custom-metrics-autoscaler-operator.openshift-keda: {}
    manager: olm
    operation: Update
    time: "2023-02-17T15:12:49Z"
  - apiVersion: operators.coreos.com/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:catalogHealth: {}
        f:conditions: {}
        f:currentCSV: {}
        f:installPlanGeneration: {}
        f:installPlanRef:
          .: {}
          f:apiVersion: {}
          f:kind: {}
          f:name: {}
          f:namespace: {}
          f:resourceVersion: {}
          f:uid: {}
        f:installedCSV: {}
        f:installplan:
          .: {}
          f:apiVersion: {}
          f:kind: {}
          f:name: {}
          f:uuid: {}
        f:lastUpdated: {}
        f:state: {}
    manager: catalog
    operation: Update
    subresource: status
    time: "2023-02-17T15:13:28Z"
  name: openshift-custom-metrics-autoscaler-operator
  namespace: openshift-keda
  resourceVersion: "45020"
  uid: bf805d52-aa80-4ad2-8a04-b7d21658fc52
spec:
  channel: stable
  installPlanApproval: Automatic
  name: openshift-custom-metrics-autoscaler-operator
  source: redhat-operators
  sourceNamespace: openshift-marketplace
  startingCSV: custom-metrics-autoscaler.v2.7.1
status:
  catalogHealth:
  - catalogSourceRef:
      apiVersion: operators.coreos.com/v1alpha1
      kind: CatalogSource
      name: certified-operators
      namespace: openshift-marketplace
      resourceVersion: "41671"
      uid: 341394a9-a8d9-468e-9b36-a4c84f4a1222
    healthy: true
    lastUpdated: "2023-02-17T15:12:52Z"
  - catalogSourceRef:
      apiVersion: operators.coreos.com/v1alpha1
      kind: CatalogSource
      name: community-operators
      namespace: openshift-marketplace
      resourceVersion: "41585"
      uid: c2e61267-931e-4ade-a36a-380d4d44fd55
    healthy: true
    lastUpdated: "2023-02-17T15:12:52Z"
  - catalogSourceRef:
      apiVersion: operators.coreos.com/v1alpha1
      kind: CatalogSource
      name: redhat-marketplace
      namespace: openshift-marketplace
      resourceVersion: "44435"
      uid: b66b2e35-9740-4da1-9067-5e8b41089e24
    healthy: true
    lastUpdated: "2023-02-17T15:12:52Z"
  - catalogSourceRef:
      apiVersion: operators.coreos.com/v1alpha1
      kind: CatalogSource
      name: redhat-operators
      namespace: openshift-marketplace
      resourceVersion: "44436"
      uid: e640d297-8d49-4cad-9b0a-cf6b68d6cbf5
    healthy: true
    lastUpdated: "2023-02-17T15:12:52Z"
  conditions:
  - lastTransitionTime: "2023-02-17T15:12:52Z"
    message: all available catalogsources are healthy
    reason: AllCatalogSourcesHealthy
    status: "False"
    type: CatalogSourcesUnhealthy
  currentCSV: custom-metrics-autoscaler.v2.7.1
  installPlanGeneration: 1
  installPlanRef:
    apiVersion: operators.coreos.com/v1alpha1
    kind: InstallPlan
    name: install-pllhf
    namespace: openshift-keda
    resourceVersion: "44669"
    uid: 5d13dbae-f645-4da2-b46e-83aa800d9ebd
  installedCSV: custom-metrics-autoscaler.v2.7.1
  installplan:
    apiVersion: operators.coreos.com/v1alpha1
    kind: InstallPlan
    name: install-pllhf
    uuid: 5d13dbae-f645-4da2-b46e-83aa800d9ebd
  lastUpdated: "2023-02-17T15:13:28Z"
  state: AtLatestKnown
